scala.tools.nsc.ast.TreeBrowsers.BrowserFrame

# ASTMenuBar

###
Related Doc: package BrowserFrame

#### class ASTMenuBar extends JMenuBar

Source
  TreeBrowsers.scala

Linear Supertypes
JMenuBar, MenuElement, Accessible, JComponent, HasGetTransferHandler, Container, Component, java.io.Serializable, MenuContainer, ImageObserver, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ASTMenuBar
2. JMenuBar
3. MenuElement
4. Accessible
5. JComponent
6. HasGetTransferHandler
7. Container
8. Component
9. Serializable
10. MenuContainer
11. ImageObserver
12. AnyRef
13. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ASTMenuBar()

### Type Members

1. #### abstract class AccessibleAWTComponent extends AccessibleContext with java.io.Serializable with AccessibleComponent

   Attributes
     protected
   Definition Classes
     Component

2. #### class AccessibleAWTContainer extends AccessibleAWTComponent

   Attributes
     protected
   Definition Classes
     Container

3. #### abstract class AccessibleJComponent extends AccessibleAWTContainer with AccessibleExtendedComponent

   Definition Classes
     JComponent

4. #### class AccessibleJMenuBar extends AccessibleJComponent with AccessibleSelection

   Attributes
     protected
   Definition Classes
     JMenuBar

5. #### final class ActionStandin extends Action

   Attributes
     private[javax.swing]
   Definition Classes
     JComponent

6. #### class BltBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

7. #### class FlipBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ASTMenuBar to any2stringadd[ASTMenuBar] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ASTMenuBar, B)

   Implicit information
     This member is added by an implicit conversion from ASTMenuBar to ArrowAssoc[ASTMenuBar] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def add(arg0: JMenu): JMenu

   Definition Classes
     JMenuBar

7. #### def add(arg0: Component, arg1: Any, arg2: Int): Unit

   Definition Classes
     Container

8. #### def add(arg0: Component, arg1: Any): Unit

   Definition Classes
     Container

9. #### def add(arg0: Component, arg1: Int): Component

   Definition Classes
     Container

10. #### def add(arg0: String, arg1: Component): Component

    Definition Classes
      Container

11. #### def add(arg0: Component): Component

    Definition Classes
      Container

12. #### def add(arg0: PopupMenu): Unit

    Definition Classes
      Component

13. #### def addAncestorListener(arg0: AncestorListener): Unit

    Definition Classes
      JComponent

14. #### def addComponentListener(arg0: ComponentListener): Unit

    Definition Classes
      Component

15. #### def addContainerListener(arg0: ContainerListener): Unit

    Definition Classes
      Container

16. #### def addFocusListener(arg0: FocusListener): Unit

    Definition Classes
      Component

17. #### def addHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

    Definition Classes
      Component

18. #### def addHierarchyListener(arg0: HierarchyListener): Unit

    Definition Classes
      Component

19. #### def addImpl(arg0: Component, arg1: Any, arg2: Int): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Container

20. #### def addInputMethodListener(arg0: InputMethodListener): Unit

    Definition Classes
      Component

21. #### def addKeyListener(arg0: KeyListener): Unit

    Definition Classes
      Component

22. #### def addMouseListener(arg0: MouseListener): Unit

    Definition Classes
      Component

23. #### def addMouseMotionListener(arg0: MouseMotionListener): Unit

    Definition Classes
      Component

24. #### def addMouseWheelListener(arg0: MouseWheelListener): Unit

    Definition Classes
      Component

25. #### def addNotify(): Unit

    Definition Classes
      JMenuBar → JComponent → Container → Component

26. #### def addPropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

27. #### def addPropertyChangeListener(arg0: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

28. #### def addVetoableChangeListener(arg0: VetoableChangeListener): Unit

    Definition Classes
      JComponent

29. #### def applyComponentOrientation(arg0: ComponentOrientation): Unit

    Definition Classes
      Container → Component

30. #### def areFocusTraversalKeysSet(arg0: Int): Boolean

    Definition Classes
      Container → Component

31. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

32. #### def checkImage(arg0: Image, arg1: Int, arg2: Int, arg3: ImageObserver): Int

    Definition Classes
      Component

33. #### def checkImage(arg0: Image, arg1: ImageObserver): Int

    Definition Classes
      Component

34. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

35. #### def closeWindow(): Unit

36. #### def coalesceEvents(arg0: AWTEvent, arg1: AWTEvent): AWTEvent

    Attributes
      protected[java.awt]
    Definition Classes
      Component

37. #### def computeVisibleRect(arg0: Rectangle): Unit

    Definition Classes
      JComponent

38. #### def contains(arg0: Int, arg1: Int): Boolean

    Definition Classes
      JComponent → Component

39. #### def contains(arg0: Point): Boolean

    Definition Classes
      Component

40. #### def createImage(arg0: Int, arg1: Int): Image

    Definition Classes
      Component

41. #### def createImage(arg0: ImageProducer): Image

    Definition Classes
      Component

42. #### def createToolTip(): JToolTip

    Definition Classes
      JComponent

43. #### def createVolatileImage(arg0: Int, arg1: Int, arg2: ImageCapabilities): VolatileImage

    Definition Classes
      Component
    Annotations
      @throws( classOf[java.awt.AWTException] )

44. #### def createVolatileImage(arg0: Int, arg1: Int): VolatileImage

    Definition Classes
      Component

45. #### final def disableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

46. #### final def dispatchEvent(arg0: AWTEvent): Unit

    Definition Classes
      Component

47. #### def doLayout(): Unit

    Definition Classes
      Container → Component

48. #### final def enableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

49. #### def enableInputMethods(arg0: Boolean): Unit

    Definition Classes
      Component

50. #### def ensuring(cond: (ASTMenuBar) ⇒ Boolean, msg: ⇒ Any): ASTMenuBar

    Implicit information
      This member is added by an implicit conversion from ASTMenuBar to Ensuring[ASTMenuBar] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

51. #### def ensuring(cond: (ASTMenuBar) ⇒ Boolean): ASTMenuBar

    Implicit information
      This member is added by an implicit conversion from ASTMenuBar to Ensuring[ASTMenuBar] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

52. #### def ensuring(cond: Boolean, msg: ⇒ Any): ASTMenuBar

    Implicit information
      This member is added by an implicit conversion from ASTMenuBar to Ensuring[ASTMenuBar] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

53. #### def ensuring(cond: Boolean): ASTMenuBar

    Implicit information
      This member is added by an implicit conversion from ASTMenuBar to Ensuring[ASTMenuBar] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

54. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

55. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

56. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

57. #### def findComponentAt(arg0: Point): Component

    Definition Classes
      Container

58. #### def findComponentAt(arg0: Int, arg1: Int): Component

    Definition Classes
      Container

59. #### def firePropertyChange(arg0: String, arg1: Char, arg2: Char): Unit

    Definition Classes
      JComponent → Component

60. #### def firePropertyChange(arg0: String, arg1: Int, arg2: Int): Unit

    Definition Classes
      JComponent → Component

61. #### def firePropertyChange(arg0: String, arg1: Boolean, arg2: Boolean): Unit

    Definition Classes
      JComponent → Component

62. #### def firePropertyChange(arg0: String, arg1: Double, arg2: Double): Unit

    Definition Classes
      Component

63. #### def firePropertyChange(arg0: String, arg1: Float, arg2: Float): Unit

    Definition Classes
      Component

64. #### def firePropertyChange(arg0: String, arg1: Long, arg2: Long): Unit

    Definition Classes
      Component

65. #### def firePropertyChange(arg0: String, arg1: Short, arg2: Short): Unit

    Definition Classes
      Component

66. #### def firePropertyChange(arg0: String, arg1: Byte, arg2: Byte): Unit

    Definition Classes
      Component

67. #### def firePropertyChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

68. #### def fireVetoableChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[javax.swing]
    Definition Classes
      JComponent
    Annotations
      @throws( ... )

69. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ASTMenuBar to StringFormat[ASTMenuBar] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

70. #### def getAccessibleContext(): AccessibleContext

    Definition Classes
      JMenuBar → Accessible → JComponent → Component

71. #### def getActionForKeyStroke(arg0: KeyStroke): ActionListener

    Definition Classes
      JComponent

72. #### final def getActionMap(): ActionMap

    Definition Classes
      JComponent

73. #### def getAlignmentX(): Float

    Definition Classes
      JComponent → Container → Component

74. #### def getAlignmentY(): Float

    Definition Classes
      JComponent → Container → Component

75. #### def getAncestorListeners(): Array[AncestorListener]

    Definition Classes
      JComponent

76. #### def getAutoscrolls(): Boolean

    Definition Classes
      JComponent

77. #### def getBackground(): Color

    Definition Classes
      Component
    Annotations
      @Transient()

78. #### def getBaseline(arg0: Int, arg1: Int): Int

    Definition Classes
      JComponent → Component

79. #### def getBaselineResizeBehavior(): BaselineResizeBehavior

    Definition Classes
      JComponent → Component

80. #### def getBorder(): Border

    Definition Classes
      JComponent

81. #### def getBounds(arg0: Rectangle): Rectangle

    Definition Classes
      JComponent → Component

82. #### def getBounds(): Rectangle

    Definition Classes
      Component

83. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

84. #### final def getClientProperty(arg0: Any): AnyRef

    Definition Classes
      JComponent

85. #### def getColorModel(): ColorModel

    Definition Classes
      Component

86. #### def getComponent(): Component

    Definition Classes
      JMenuBar → MenuElement

87. #### def getComponent(arg0: Int): Component

    Definition Classes
      Container

88. #### def getComponentAt(arg0: Point): Component

    Definition Classes
      Container → Component

89. #### def getComponentAt(arg0: Int, arg1: Int): Component

    Definition Classes
      Container → Component

90. #### def getComponentCount(): Int

    Definition Classes
      Container

91. #### def getComponentGraphics(arg0: Graphics): Graphics

    Attributes
      protected[javax.swing]
    Definition Classes
      JComponent

92. #### def getComponentIndex(arg0: Component): Int

    Definition Classes
      JMenuBar

93. #### def getComponentListeners(): Array[ComponentListener]

    Definition Classes
      Component

94. #### def getComponentOrientation(): ComponentOrientation

    Definition Classes
      Component

95. #### def getComponentPopupMenu(): JPopupMenu

    Definition Classes
      JComponent

96. #### def getComponentZOrder(arg0: Component): Int

    Definition Classes
      Container

97. #### def getComponents(): Array[Component]

    Definition Classes
      Container

98. #### def getConditionForKeyStroke(arg0: KeyStroke): Int

    Definition Classes
      JComponent

99. #### def getContainerListeners(): Array[ContainerListener]

    Definition Classes
      Container

100. #### def getCursor(): Cursor

     Definition Classes
       Component

101. #### def getDebugGraphicsOptions(): Int

     Definition Classes
       JComponent

102. #### def getDropTarget(): DropTarget

     Definition Classes
       Component

103. #### def getFocusCycleRootAncestor(): Container

     Definition Classes
       Component

104. #### def getFocusListeners(): Array[FocusListener]

     Definition Classes
       Component

105. #### def getFocusTraversalKeys(arg0: Int): Set[AWTKeyStroke]

     Definition Classes
       Container → Component

106. #### def getFocusTraversalKeysEnabled(): Boolean

     Definition Classes
       Component

107. #### def getFocusTraversalPolicy(): FocusTraversalPolicy

     Definition Classes
       Container

108. #### def getFont(): Font

     Definition Classes
       Component → MenuContainer
     Annotations
       @Transient()

109. #### def getFontMetrics(arg0: Font): FontMetrics

     Definition Classes
       JComponent → Component

110. #### def getForeground(): Color

     Definition Classes
       Component
     Annotations
       @Transient()

111. #### def getGraphics(): Graphics

     Definition Classes
       JComponent → Component

112. #### def getGraphicsConfiguration(): GraphicsConfiguration

     Definition Classes
       Component

113. #### def getHeight(): Int

     Definition Classes
       JComponent → Component

114. #### def getHelpMenu(): JMenu

     Definition Classes
       JMenuBar
     Annotations
       @Transient()

115. #### def getHierarchyBoundsListeners(): Array[HierarchyBoundsListener]

     Definition Classes
       Component

116. #### def getHierarchyListeners(): Array[HierarchyListener]

     Definition Classes
       Component

117. #### def getIgnoreRepaint(): Boolean

     Definition Classes
       Component

118. #### def getInheritsPopupMenu(): Boolean

     Definition Classes
       JComponent

119. #### def getInputContext(): InputContext

     Definition Classes
       Component

120. #### final def getInputMap(): InputMap

     Definition Classes
       JComponent

121. #### final def getInputMap(arg0: Int): InputMap

     Definition Classes
       JComponent

122. #### def getInputMethodListeners(): Array[InputMethodListener]

     Definition Classes
       Component

123. #### def getInputMethodRequests(): InputMethodRequests

     Definition Classes
       Component

124. #### def getInputVerifier(): InputVerifier

     Definition Classes
       JComponent

125. #### def getInsets(arg0: Insets): Insets

     Definition Classes
       JComponent

126. #### def getInsets(): Insets

     Definition Classes
       JComponent → Container

127. #### def getKeyListeners(): Array[KeyListener]

     Definition Classes
       Component

128. #### def getLayout(): LayoutManager

     Definition Classes
       Container

129. #### def getListeners[T <: EventListener](arg0: Class[T]): Array[T]

     Definition Classes
       JComponent → Container → Component

130. #### def getLocale(): Locale

     Definition Classes
       Component

131. #### def getLocation(arg0: Point): Point

     Definition Classes
       JComponent → Component

132. #### def getLocation(): Point

     Definition Classes
       Component

133. #### def getLocationOnScreen(): Point

     Definition Classes
       Component

134. #### def getMargin(): Insets

     Definition Classes
       JMenuBar

135. #### def getMaximumSize(): Dimension

     Definition Classes
       JComponent → Container → Component
     Annotations
       @Transient()

136. #### def getMenu(arg0: Int): JMenu

     Definition Classes
       JMenuBar

137. #### def getMenuCount(): Int

     Definition Classes
       JMenuBar

138. #### def getMinimumSize(): Dimension

     Definition Classes
       JComponent → Container → Component
     Annotations
       @Transient()

139. #### def getMouseListeners(): Array[MouseListener]

     Definition Classes
       Component

140. #### def getMouseMotionListeners(): Array[MouseMotionListener]

     Definition Classes
       Component

141. #### def getMousePosition(arg0: Boolean): Point

     Definition Classes
       Container
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

142. #### def getMousePosition(): Point

     Definition Classes
       Component
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

143. #### def getMouseWheelListeners(): Array[MouseWheelListener]

     Definition Classes
       Component

144. #### def getName(): String

     Definition Classes
       Component

145. #### def getParent(): Container

     Definition Classes
       Component

146. #### def getPopupLocation(arg0: MouseEvent): Point

     Definition Classes
       JComponent

147. #### def getPreferredSize(): Dimension

     Definition Classes
       JComponent → Container → Component
     Annotations
       @Transient()

148. #### def getPropertyChangeListeners(arg0: String): Array[PropertyChangeListener]

     Definition Classes
       Component

149. #### def getPropertyChangeListeners(): Array[PropertyChangeListener]

     Definition Classes
       Component

150. #### def getRegisteredKeyStrokes(): Array[KeyStroke]

     Definition Classes
       JComponent

151. #### def getRootPane(): JRootPane

     Definition Classes
       JComponent

152. #### def getSelectionModel(): SingleSelectionModel

     Definition Classes
       JMenuBar

153. #### def getSize(arg0: Dimension): Dimension

     Definition Classes
       JComponent → Component

154. #### def getSize(): Dimension

     Definition Classes
       Component

155. #### def getSubElements(): Array[MenuElement]

     Definition Classes
       JMenuBar → MenuElement

156. #### def getToolTipLocation(arg0: MouseEvent): Point

     Definition Classes
       JComponent

157. #### def getToolTipText(arg0: MouseEvent): String

     Definition Classes
       JComponent

158. #### def getToolTipText(): String

     Definition Classes
       JComponent

159. #### def getToolkit(): Toolkit

     Definition Classes
       Component

160. #### def getTopLevelAncestor(): Container

     Definition Classes
       JComponent

161. #### def getTransferHandler(): TransferHandler

     Definition Classes
       JComponent → HasGetTransferHandler

162. #### final def getTreeLock(): AnyRef

     Definition Classes
       Component

163. #### def getUI(): MenuBarUI

     Definition Classes
       JMenuBar

164. #### def getUIClassID(): String

     Definition Classes
       JMenuBar → JComponent

165. #### def getVerifyInputWhenFocusTarget(): Boolean

     Definition Classes
       JComponent

166. #### def getVetoableChangeListeners(): Array[VetoableChangeListener]

     Definition Classes
       JComponent

167. #### def getVisibleRect(): Rectangle

     Definition Classes
       JComponent

168. #### def getWidth(): Int

     Definition Classes
       JComponent → Component

169. #### def getX(): Int

     Definition Classes
       JComponent → Component

170. #### def getY(): Int

     Definition Classes
       JComponent → Component

171. #### def grabFocus(): Unit

     Definition Classes
       JComponent

172. #### def hasFocus(): Boolean

     Definition Classes
       Component

173. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

174. #### def imageUpdate(arg0: Image, arg1: Int, arg2: Int, arg3: Int, arg4: Int, arg5: Int): Boolean

     Definition Classes
       Component → ImageObserver

175. #### def invalidate(): Unit

     Definition Classes
       Container → Component

176. #### def isAncestorOf(arg0: Component): Boolean

     Definition Classes
       Container

177. #### def isBackgroundSet(): Boolean

     Definition Classes
       Component

178. #### def isBorderPainted(): Boolean

     Definition Classes
       JMenuBar

179. #### def isCursorSet(): Boolean

     Definition Classes
       Component

180. #### def isDisplayable(): Boolean

     Definition Classes
       Component

181. #### def isDoubleBuffered(): Boolean

     Definition Classes
       JComponent → Component

182. #### def isEnabled(): Boolean

     Definition Classes
       Component

183. #### def isFocusCycleRoot(): Boolean

     Definition Classes
       Container

184. #### def isFocusCycleRoot(arg0: Container): Boolean

     Definition Classes
       Container → Component

185. #### def isFocusOwner(): Boolean

     Definition Classes
       Component

186. #### final def isFocusTraversalPolicyProvider(): Boolean

     Definition Classes
       Container

187. #### def isFocusTraversalPolicySet(): Boolean

     Definition Classes
       Container

188. #### def isFocusable(): Boolean

     Definition Classes
       Component

189. #### def isFontSet(): Boolean

     Definition Classes
       Component

190. #### def isForegroundSet(): Boolean

     Definition Classes
       Component

191. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

192. #### def isLightweight(): Boolean

     Definition Classes
       Component

193. #### def isMaximumSizeSet(): Boolean

     Definition Classes
       Component

194. #### def isMinimumSizeSet(): Boolean

     Definition Classes
       Component

195. #### def isOpaque(): Boolean

     Definition Classes
       JComponent → Component

196. #### def isOptimizedDrawingEnabled(): Boolean

     Definition Classes
       JComponent

197. #### final def isPaintingForPrint(): Boolean

     Definition Classes
       JComponent

198. #### def isPaintingOrigin(): Boolean

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

199. #### def isPaintingTile(): Boolean

     Definition Classes
       JComponent

200. #### def isPreferredSizeSet(): Boolean

     Definition Classes
       Component

201. #### def isRequestFocusEnabled(): Boolean

     Definition Classes
       JComponent

202. #### def isSelected(): Boolean

     Definition Classes
       JMenuBar

203. #### def isShowing(): Boolean

     Definition Classes
       Component

204. #### def isValid(): Boolean

     Definition Classes
       Component

205. #### def isValidateRoot(): Boolean

     Definition Classes
       JComponent → Container

206. #### def isVisible(): Boolean

     Definition Classes
       Component
     Annotations
       @Transient()

207. #### val jmFile: JMenu

208. #### val jmView: JMenu

209. #### val jmiCancel: JMenuItem

210. #### val jmiCollapse: JMenuItem

211. #### val jmiExit: JMenuItem

212. #### val jmiExpand: JMenuItem

213. #### def list(arg0: PrintWriter, arg1: Int): Unit

     Definition Classes
       Container → Component

214. #### def list(arg0: PrintStream, arg1: Int): Unit

     Definition Classes
       Container → Component

215. #### def list(arg0: PrintWriter): Unit

     Definition Classes
       Component

216. #### def list(arg0: PrintStream): Unit

     Definition Classes
       Component

217. #### def list(): Unit

     Definition Classes
       Component

218. #### val menuKey: Int

219. #### def menuSelectionChanged(arg0: Boolean): Unit

     Definition Classes
       JMenuBar → MenuElement

220. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

221. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

222. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

223. #### def paint(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

224. #### def paintAll(arg0: Graphics): Unit

     Definition Classes
       Component

225. #### def paintBorder(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JMenuBar → JComponent

226. #### def paintChildren(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

227. #### def paintComponent(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

228. #### def paintComponents(arg0: Graphics): Unit

     Definition Classes
       Container

229. #### def paintImmediately(arg0: Rectangle): Unit

     Definition Classes
       JComponent

230. #### def paintImmediately(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       JComponent

231. #### def paramString(): String

     Attributes
       protected[javax.swing]
     Definition Classes
       JMenuBar → JComponent → Container → Component

232. #### def prepareImage(arg0: Image, arg1: Int, arg2: Int, arg3: ImageObserver): Boolean

     Definition Classes
       Component

233. #### def prepareImage(arg0: Image, arg1: ImageObserver): Boolean

     Definition Classes
       Component

234. #### def print(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

235. #### def printAll(arg0: Graphics): Unit

     Definition Classes
       JComponent → Component

236. #### def printBorder(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

237. #### def printChildren(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

238. #### def printComponent(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

239. #### def printComponents(arg0: Graphics): Unit

     Definition Classes
       Container

240. #### def processComponentEvent(arg0: ComponentEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

241. #### def processComponentKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

242. #### def processContainerEvent(arg0: ContainerEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

243. #### def processEvent(arg0: AWTEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container → Component

244. #### def processFocusEvent(arg0: FocusEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

245. #### def processHierarchyBoundsEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

246. #### def processHierarchyEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

247. #### def processInputMethodEvent(arg0: InputMethodEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

248. #### def processKeyBinding(arg0: KeyStroke, arg1: KeyEvent, arg2: Int, arg3: Boolean): Boolean

     Attributes
       protected[javax.swing]
     Definition Classes
       JMenuBar → JComponent

249. #### def processKeyEvent(arg0: KeyEvent, arg1: Array[MenuElement], arg2: MenuSelectionManager): Unit

     Definition Classes
       JMenuBar → MenuElement

250. #### def processKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

251. #### def processMouseEvent(arg0: MouseEvent, arg1: Array[MenuElement], arg2: MenuSelectionManager): Unit

     Definition Classes
       JMenuBar → MenuElement

252. #### def processMouseEvent(arg0: MouseEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

253. #### def processMouseMotionEvent(arg0: MouseEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

254. #### def processMouseWheelEvent(arg0: MouseWheelEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

255. #### final def putClientProperty(arg0: Any, arg1: Any): Unit

     Definition Classes
       JComponent

256. #### def registerKeyboardAction(arg0: ActionListener, arg1: KeyStroke, arg2: Int): Unit

     Definition Classes
       JComponent

257. #### def registerKeyboardAction(arg0: ActionListener, arg1: String, arg2: KeyStroke, arg3: Int): Unit

     Definition Classes
       JComponent

258. #### def remove(arg0: Component): Unit

     Definition Classes
       Container

259. #### def remove(arg0: Int): Unit

     Definition Classes
       Container

260. #### def remove(arg0: MenuComponent): Unit

     Definition Classes
       Component → MenuContainer

261. #### def removeAll(): Unit

     Definition Classes
       Container

262. #### def removeAncestorListener(arg0: AncestorListener): Unit

     Definition Classes
       JComponent

263. #### def removeComponentListener(arg0: ComponentListener): Unit

     Definition Classes
       Component

264. #### def removeContainerListener(arg0: ContainerListener): Unit

     Definition Classes
       Container

265. #### def removeFocusListener(arg0: FocusListener): Unit

     Definition Classes
       Component

266. #### def removeHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

     Definition Classes
       Component

267. #### def removeHierarchyListener(arg0: HierarchyListener): Unit

     Definition Classes
       Component

268. #### def removeInputMethodListener(arg0: InputMethodListener): Unit

     Definition Classes
       Component

269. #### def removeKeyListener(arg0: KeyListener): Unit

     Definition Classes
       Component

270. #### def removeMouseListener(arg0: MouseListener): Unit

     Definition Classes
       Component

271. #### def removeMouseMotionListener(arg0: MouseMotionListener): Unit

     Definition Classes
       Component

272. #### def removeMouseWheelListener(arg0: MouseWheelListener): Unit

     Definition Classes
       Component

273. #### def removeNotify(): Unit

     Definition Classes
       JMenuBar → JComponent → Container → Component

274. #### def removePropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

     Definition Classes
       Component

275. #### def removePropertyChangeListener(arg0: PropertyChangeListener): Unit

     Definition Classes
       Component

276. #### def removeVetoableChangeListener(arg0: VetoableChangeListener): Unit

     Definition Classes
       JComponent

277. #### def repaint(arg0: Rectangle): Unit

     Definition Classes
       JComponent

278. #### def repaint(arg0: Long, arg1: Int, arg2: Int, arg3: Int, arg4: Int): Unit

     Definition Classes
       JComponent → Component

279. #### def repaint(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

280. #### def repaint(arg0: Long): Unit

     Definition Classes
       Component

281. #### def repaint(): Unit

     Definition Classes
       Component

282. #### def requestFocus(arg0: Boolean): Boolean

     Definition Classes
       JComponent → Component

283. #### def requestFocus(): Unit

     Definition Classes
       JComponent → Component

284. #### def requestFocusInWindow(arg0: Boolean): Boolean

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

285. #### def requestFocusInWindow(): Boolean

     Definition Classes
       JComponent → Component

286. #### def resetKeyboardActions(): Unit

     Definition Classes
       JComponent

287. #### def revalidate(): Unit

     Definition Classes
       JComponent → Component

288. #### def scrollRectToVisible(arg0: Rectangle): Unit

     Definition Classes
       JComponent

289. #### final def setActionMap(arg0: ActionMap): Unit

     Definition Classes
       JComponent

290. #### def setAlignmentX(arg0: Float): Unit

     Definition Classes
       JComponent

291. #### def setAlignmentY(arg0: Float): Unit

     Definition Classes
       JComponent

292. #### def setAutoscrolls(arg0: Boolean): Unit

     Definition Classes
       JComponent

293. #### def setBackground(arg0: Color): Unit

     Definition Classes
       JComponent → Component

294. #### def setBorder(arg0: Border): Unit

     Definition Classes
       JComponent

295. #### def setBorderPainted(arg0: Boolean): Unit

     Definition Classes
       JMenuBar

296. #### def setBounds(arg0: Rectangle): Unit

     Definition Classes
       Component

297. #### def setBounds(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

298. #### def setComponentOrientation(arg0: ComponentOrientation): Unit

     Definition Classes
       Component

299. #### def setComponentPopupMenu(arg0: JPopupMenu): Unit

     Definition Classes
       JComponent

300. #### def setComponentZOrder(arg0: Component, arg1: Int): Unit

     Definition Classes
       Container

301. #### def setCursor(arg0: Cursor): Unit

     Definition Classes
       Component

302. #### def setDebugGraphicsOptions(arg0: Int): Unit

     Definition Classes
       JComponent

303. #### def setDoubleBuffered(arg0: Boolean): Unit

     Definition Classes
       JComponent

304. #### def setDropTarget(arg0: DropTarget): Unit

     Definition Classes
       Component

305. #### def setEnabled(arg0: Boolean): Unit

     Definition Classes
       JComponent → Component

306. #### def setFocusCycleRoot(arg0: Boolean): Unit

     Definition Classes
       Container

307. #### def setFocusTraversalKeys(arg0: Int, arg1: Set[_ <: AWTKeyStroke]): Unit

     Definition Classes
       JComponent → Container → Component

308. #### def setFocusTraversalKeysEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

309. #### def setFocusTraversalPolicy(arg0: FocusTraversalPolicy): Unit

     Definition Classes
       Container

310. #### final def setFocusTraversalPolicyProvider(arg0: Boolean): Unit

     Definition Classes
       Container

311. #### def setFocusable(arg0: Boolean): Unit

     Definition Classes
       Component

312. #### def setFont(arg0: Font): Unit

     Definition Classes
       JComponent → Container → Component

313. #### def setForeground(arg0: Color): Unit

     Definition Classes
       JComponent → Component

314. #### def setHelpMenu(arg0: JMenu): Unit

     Definition Classes
       JMenuBar

315. #### def setIgnoreRepaint(arg0: Boolean): Unit

     Definition Classes
       Component

316. #### def setInheritsPopupMenu(arg0: Boolean): Unit

     Definition Classes
       JComponent

317. #### final def setInputMap(arg0: Int, arg1: InputMap): Unit

     Definition Classes
       JComponent

318. #### def setInputVerifier(arg0: InputVerifier): Unit

     Definition Classes
       JComponent

319. #### def setLayout(arg0: LayoutManager): Unit

     Definition Classes
       Container

320. #### def setLocale(arg0: Locale): Unit

     Definition Classes
       Component

321. #### def setLocation(arg0: Point): Unit

     Definition Classes
       Component

322. #### def setLocation(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

323. #### def setMargin(arg0: Insets): Unit

     Definition Classes
       JMenuBar

324. #### def setMaximumSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

325. #### def setMinimumSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

326. #### def setName(arg0: String): Unit

     Definition Classes
       Component

327. #### def setOpaque(arg0: Boolean): Unit

     Definition Classes
       JComponent

328. #### def setPreferredSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

329. #### def setRequestFocusEnabled(arg0: Boolean): Unit

     Definition Classes
       JComponent

330. #### def setSelected(arg0: Component): Unit

     Definition Classes
       JMenuBar

331. #### def setSelectionModel(arg0: SingleSelectionModel): Unit

     Definition Classes
       JMenuBar

332. #### def setSize(arg0: Dimension): Unit

     Definition Classes
       Component

333. #### def setSize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

334. #### def setToolTipText(arg0: String): Unit

     Definition Classes
       JComponent

335. #### def setTransferHandler(arg0: TransferHandler): Unit

     Definition Classes
       JComponent

336. #### def setUI(arg0: MenuBarUI): Unit

     Definition Classes
       JMenuBar

337. #### def setUI(arg0: ComponentUI): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

338. #### def setVerifyInputWhenFocusTarget(arg0: Boolean): Unit

     Definition Classes
       JComponent

339. #### def setVisible(arg0: Boolean): Unit

     Definition Classes
       JComponent → Component

340. #### val shiftKey: Int

341. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

342. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → AnyRef → Any

343. #### def transferFocus(): Unit

     Definition Classes
       Component

344. #### def transferFocusBackward(): Unit

     Definition Classes
       Component

345. #### def transferFocusDownCycle(): Unit

     Definition Classes
       Container

346. #### def transferFocusUpCycle(): Unit

     Definition Classes
       Component

347. #### def unregisterKeyboardAction(arg0: KeyStroke): Unit

     Definition Classes
       JComponent

348. #### def update(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

349. #### def updateUI(): Unit

     Definition Classes
       JMenuBar → JComponent

350. #### def validate(): Unit

     Definition Classes
       Container → Component

351. #### def validateTree(): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

352. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

353. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

354. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

355. #### def →[B](y: B): (ASTMenuBar, B)

     Implicit information
       This member is added by an implicit conversion from ASTMenuBar to ArrowAssoc[ASTMenuBar] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Deprecated Value Members

1. #### def action(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def bounds(): Rectangle

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def countComponents(): Int

   Definition Classes
     Container
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def deliverEvent(arg0: Event): Unit

   Definition Classes
     Container → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### def disable(): Unit

   Definition Classes
     JComponent → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### def enable(): Unit

   Definition Classes
     JComponent → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def enable(arg0: Boolean): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### def getComponentAtIndex(arg0: Int): Component

   Definition Classes
     JMenuBar
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### def getNextFocusableComponent(): Component

   Definition Classes
     JComponent
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### def getPeer(): ComponentPeer

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def gotFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

12. #### def handleEvent(arg0: Event): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

13. #### def hide(): Unit

    Definition Classes
      JComponent → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

14. #### def insets(): Insets

    Definition Classes
      Container
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

15. #### def inside(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

16. #### def isFocusTraversable(): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

17. #### def isManagingFocus(): Boolean

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

18. #### def keyDown(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

19. #### def keyUp(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

20. #### def layout(): Unit

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

21. #### def locate(arg0: Int, arg1: Int): Component

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

22. #### def location(): Point

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

23. #### def lostFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

24. #### def minimumSize(): Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

25. #### def mouseDown(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

26. #### def mouseDrag(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

27. #### def mouseEnter(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

28. #### def mouseExit(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

29. #### def mouseMove(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

30. #### def mouseUp(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

31. #### def move(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

32. #### def nextFocus(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

33. #### def postEvent(arg0: Event): Boolean

    Definition Classes
      Component → MenuContainer
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

34. #### def preferredSize(): Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

35. #### def requestDefaultFocus(): Boolean

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

36. #### def reshape(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

    Definition Classes
      JComponent → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

37. #### def resize(arg0: Dimension): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

38. #### def resize(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

39. #### def setNextFocusableComponent(arg0: Component): Unit

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

40. #### def show(arg0: Boolean): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

41. #### def show(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

42. #### def size(): Dimension

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

### Inherited from JMenuBar

### Inherited from MenuElement

### Inherited from Accessible

### Inherited from JComponent

### Inherited from HasGetTransferHandler

### Inherited from Container

### Inherited from Component

### Inherited from java.io.Serializable

### Inherited from MenuContainer

### Inherited from ImageObserver

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ASTMenuBar to any2stringadd[ASTMenuBar]

### Inherited by implicit conversion StringFormat from ASTMenuBar to StringFormat[ASTMenuBar]

### Inherited by implicit conversion Ensuring from ASTMenuBar to Ensuring[ASTMenuBar]

### Inherited by implicit conversion ArrowAssoc from ASTMenuBar to ArrowAssoc[ASTMenuBar]

### Ungrouped